body{
  overflow: hidden;
}

#pintarif {
  
  display: grid;
  margin: 0;
  padding: 0;
  width: 100vw;
  height: 100vh;

  grid-template-areas: "btn1 btn2 btn3 btn4"
                        "foot1 foot2 foot3 foot4 "
                       "lmain1 lmain2 lmain3 lmain4 "
                       ;
  grid-template-rows: 10% 5% 85% ; 
  grid-template-columns: 10% 50% 30% 10%;
 /* background-image: url("background.svg");*/
  /*background-position: center; */
  /*background-repeat: no-repeat;
  background-size: cover;*/
}











.main-content {
    /*position: fixed;
    left: 0;
    top: 20%; *//*60px;*/
  /*  right: 0;
    bottom: 0;*/
    grid-area: lmain2;
	display: flex;
  justify-content: center;
  background-color:  #fff;
  
    background: #fff;
    overflow: hidden;
    
    z-index: 1;
    -webkit-transition: left .3s cubic-bezier(.215,.61,.355,1);
    -moz-transition: left .3s cubic-bezier(.215,.61,.355,1);
    -ms-transition: left .3s cubic-bezier(.215,.61,.355,1);
    -o-transition: left .3s cubic-bezier(.215,.61,.355,1);
    transition: left .3s cubic-bezier(.215,.61,.355,1);
    -webkit-overflow-scrolling: touch;
}
.main-content .example-frame {

  

    width: 100%;
    height: auto;
    
background: #fff;

    

    position: relative;
}





/* */
.main-content  .example-frame  .sizer {
	

  

	
   /*position: relative;
   width: 100%;

   padding-top: 56.25%;    /* 16:9 Aspect Ratio */
   
   position: relative;
    width: 99%;
    padding-top: 99%;
    
}


/**/

 .main-content .example-frame .sizer iframe {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border: 0;
        border-top-width: 0px;
        border-right-width: 0px;
        border-bottom-width: 0px;
        border-left-width: 0px;
        border-top-style: none;
        border-right-style: none;
        border-bottom-style: none;
        border-left-style: none;
        border-top-color: currentcolor;
        border-right-color: currentcolor;
        border-bottom-color: currentcolor;
        border-left-color: currentcolor;
        border-image-source: none;
        border-image-slice: 100%;
        border-image-width: 1;
        border-image-outset: 0;
        border-image-repeat: stretch stretch;
  
}
/*
.sizer{
  overflow: hidden;
}
*/
iframe{
  transform-origin: center center;
}

.button {

  display: inline-block;
  padding: 15px 25px;
  font-size: 24px;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
  outline: none;
  color: #fff;
  background-color: #4CAF50;
  border: none;
  border-radius: 15px;
  box-shadow: 0 9px #999;
  margin:10px;
}

.button:hover {background-color: #3e8e41}

.button:active {
  background-color: #3e8e41;
  box-shadow: 0 5px #666;
  transform: translateY(4px);
}







/*
@media screen and (max-width: 600px) {
	
  
  
}




@media screen and (max-width: 600px) {

 
}
*/
/*@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}*/

.buttonCenter{
  grid-area: btn2;
  display:flex;/*


	justify-content:flex-start;
	position:relative;
	z-index:1;


width: 7em;
height: 7em;
max-width: 10vw;
height: 100%;  */
}



a.button1{
position:relative;
z-index:-1;	
display:inline-block;
padding:0.3em 1.0em;
border:0.1em solid #000;
margin:0 0.3em 0.3em 0;
border-radius:0.5em;
border:0.16em solid #000;
box-sizing: border-box;
text-decoration:none;
font-family: Myriad Pro;
font-weight:300;
color:#000;
text-align:center;
transition: all 0.2s;
cursor:pointer;
}
a.button1:hover{
color:#fff;
background-color:#ff0000;
border:0.16em solid #ff0000;
}
@media all and (max-width:30em){
a.button1{
display:block;
margin:0.3em auto;
}
}

.buttonbtn{
flex: 0 0 auto;
width: 25px;
height: 25px;
border: 1px solid lightgrey;
cursor: pointer;
-webkit-appearance: none;
}



.containerSlider {
  grid-area: foot2;
  
display: flex;
justify-content: space-between;
align-items: center
}



.containerverticalSlider {
  grid-area: lmain1;
  width: 100%;
display: flex;
justify-content:flex-end ;
align-items: center;


}

.botonSlider {
  grid-area: lmain3;
  width: 100%;
display: flex;
/*justify-content:center ;*/
align-items: center;
height: 50px;
position:relative;
z-index: 800010;

}


.lado2 {
  grid-area: lmain3;
  position:relative;
  z-index: 800000;
  display: block;
 /* border:2px solid blue;
  background-image: url("palette-icon_ok.svg");
  background-position: right;
  background-repeat: no-repeat;*/

  
}

#paletaCanvas {
  display:block;
  position:absolute;
  left:0;
  top:55px;
  max-width: 100%;
  height: auto;
}




.btnsalir{
  display: flex;
  align-items: center;
  justify-content: flex-end; 


}
.btnsalir > img{

  cursor: pointer;
  width: 100%;
  height: auto;
  max-width: 80px;


}




#colorclass{
  display: none;
}
/*
.containersvgpincel{
  margin: 5px;
  background-color: #fff;
  border-radius: 30%;
  border: 2px solid black;
}*/



@media (orientation: portrait) {

#colorclass{
  display: flex;
  height: auto;
  width: 15%;
}
#coloresbtn>img{
  height: auto;
  width: 100%;
  max-width: 65px;

}


  #pintarif {
  
    display: grid;
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
  
    grid-template-areas: "btn1 btn2 btn3"
                         "btn4 btn5 btn6"
                         "foot1 foot2 foot3"
                         "lmain1 lmain2 lmain3 "
                         ;
    grid-template-rows: 10% 10% 5% 75%; 
    grid-template-columns: 9% 90% 1%;
  }
  .containerverticalSlider {
    grid-area: lmain1;
    width: 100%;
  display: flex;
  justify-content:flex-end ;
  align-items: center;
  
  
  }
  
  .buttonCenter{
    grid-area: btn2;
/*
  
    display:block;
    position:relative;
    z-index:1;
  
  

    height: auto;*/
  }


  .btnsalir{
    display: flex;
    align-items: center;
    justify-content: flex-start; 
  
  
  }

  .btnsalir > img{
    
    
    cursor: pointer;
    width: 100%;
    height: auto;
    max-width: 65px;

  
  
  }
  
  .lado2 {
    grid-area: lmain2;
    position:relative;
    z-index: 800000;
   /* border:2px solid blue;
    background-image: url("palette-icon_ok.svg");
    background-position: right;
    background-repeat: no-repeat;*/
    display: none;

  }
  .botonSlider {
    grid-area: btn5;
    width: 100%;
  display: flex;
  justify-content:center ;
  align-items: center;
  height: auto;
  
  
  }
  #paletaCanvas {
    display:block;
    position:absolute;
    left:0;
    top:0;
    width: 100%;
    height: 90%;
  }

}